-- 基础信息
base_info = {
	group_id = 111101120
}

-- Trigger变量
defs = {
	groupID = 111101120,
	shooter = 120001,
	 repeater = {120001,120002,120003},
	target = 120004
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 120001, gadget_id = 70290114, pos = { x = 2227.206, y = 235.420, z = -1306.098 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	{ config_id = 120002, gadget_id = 70290115, pos = { x = 2227.206, y = 236.059, z = -1299.988 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	{ config_id = 120003, gadget_id = 70290115, pos = { x = 2237.178, y = 236.077, z = -1299.988 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	{ config_id = 120004, gadget_id = 70220043, pos = { x = 2241.376, y = 245.350, z = -1299.988 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 120005, gadget_id = 70220013, pos = { x = 2231.648, y = 235.313, z = -1308.810 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 2,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 120001, 120002, 120003, 120004 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 120005 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "BlackBoxPlay/EnergyAmplifier"
